curl --request GET \
--url https://api.bspk.com/api/extraction/v1/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bspk.com/api/extraction/v1/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bspk.com/api/extraction/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[]List Messages
List messages
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Client id owned by the brand
Sales Associate id owned by the brand
Only show messages created after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Combined with the from parameter, only show messages created within the given range (from..to) time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Page number of the results to fetch. Default: 1
Results per page (max 1000). Default: 100
Response
Successful response, returns array of messages
Unique identifier of the store where the message was created (based on associate assignment)
Store name of where the message was created (based on associate assignment)
Unique identifier of the associate that created the message
Full name of the associate who created the message
Unique identifier of the client that the message is to
Full name of the client that the message is to
The text included in the message
The channel in which the message was sent from
Unique identifier of the template that was used for the message
Name of the template that was used for the message
Unique identifier of the Slice that was include in the email (if any)
Show child attributes
Show child attributes
Timestamp of when the message was created
